
Figure - Bug #116563
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.gallery3d（5）
2023-02-27 11:13 - CD Test赵飞

Status: CLOSED Start date: 2023-02-27

Priority: Normal Due date: 2023-03-03

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VC1_FSE_0082_20230314

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302240131

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Reproducibility: Frequently Fixed Version: 2023-03-01

Test Type: Monkey Test Root cause: AOSP问题

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.gallery3d (pid 4201)

// Short Msg: java.lang.IllegalStateException

// Long Msg: java.lang.IllegalStateException: Can not perform this action after onSaveInstanceState

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2213:user/test-keys

// Build Changelist: 2213

// Build Time: 1677177026000

// java.lang.IllegalStateException: Can not perform this action after onSaveInstanceState

//     at androidx.fragment.app.FragmentManager.checkStateLoss(FragmentManager.java:1864)

//     at androidx.fragment.app.FragmentManager.enqueueAction(FragmentManager.java:1904)

//     at androidx.fragment.app.BackStackRecord.commitInternal(BackStackRecord.java:329)

//     at androidx.fragment.app.BackStackRecord.commit(BackStackRecord.java:294)

//     at com.android.gallery3d.filtershow.FilterShowActivity$2.run(FilterShowActivity.java:319)

//     at com.android.gallery3d.filtershow.FilterShowActivity.loadEditorPanel(FilterShowActivity.java:339)

//     at com.android.gallery3d.filtershow.FilterShowActivity.showRepresentation(FilterShowActivity.java:690)

//     at com.android.gallery3d.filtershow.state.StateView.onTouchEvent(StateView.java:334)

//     at android.view.View.dispatchTouchEvent(View.java:14541)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)
//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at android.view.ViewGroup.dispatchTransformedTouchEvent(ViewGroup.java:3120)

//     at android.view.ViewGroup.dispatchTouchEvent(ViewGroup.java:2801)

//     at com.android.internal.policy.DecorView.superDispatchTouchEvent(DecorView.java:514)

//     at com.android.internal.policy.PhoneWindow.superDispatchTouchEvent(PhoneWindow.java:1890)

//     at android.app.Activity.dispatchTouchEvent(Activity.java:4221)

//     at com.android.gallery3d.filtershow.FilterShowActivity.dispatchTouchEvent(FilterShowActivity.java:1515)

//     at com.android.internal.policy.DecorView.dispatchTouchEvent(DecorView.java:472)

//     at android.view.View.dispatchPointerEvent(View.java:14800)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.processPointerEvent(ViewRootImpl.java:6362)

//     at android.view.ViewRootImpl$ViewPostImeInputStage.onProcess(ViewRootImpl.java:6163)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5641)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$AsyncInputStage.forward(ViewRootImpl.java:5829)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$AsyncInputStage.apply(ViewRootImpl.java:5886)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl$InputStage.onDeliverToNext(ViewRootImpl.java:5698)

//     at android.view.ViewRootImpl$InputStage.forward(ViewRootImpl.java:5664)

//     at android.view.ViewRootImpl$InputStage.apply(ViewRootImpl.java:5672)

//     at android.view.ViewRootImpl$InputStage.deliver(ViewRootImpl.java:5645)

//     at android.view.ViewRootImpl.deliverInputEvent(ViewRootImpl.java:8584)

//     at android.view.ViewRootImpl.doProcessInputEvents(ViewRootImpl.java:8535)

//     at android.view.ViewRootImpl.enqueueInputEvent(ViewRootImpl.java:8503)

//     at android.view.ViewRootImpl$WindowInputEventReceiver.onInputEvent(ViewRootImpl.java:8707)

//     at android.view.InputEventReceiver.dispatchInputEvent(InputEventReceiver.java:260)

//     at android.os.MessageQueue.nativePollOnce(Native Method)

//     at android.os.MessageQueue.next(MessageQueue.java:335)

//     at android.os.Looper.loopOnce(Looper.java:161)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

见附件
History

#1 - 2023-02-27 14:48 - CD APP-王营

- Due date set to 2023-03-03

- Status changed from New to ASSIGNED

#2 - 2023-02-28 10:28 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#3 - 2023-02-28 14:23 - CDTS-TEST 周婷

- Severity changed from Normal to Major

#4 - 2023-02-28 14:33 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_0082_20230314

#5 - 2023-02-28 15:01 - CD APP-王宏

测试步骤：

1.打开相册，选择一张图片，点击右下角编辑按钮

2.选中右下角的裁剪图标，选择列表中旋转，拉直，镜像等，都会触发报错中的代码逻辑。

#6 - 2023-02-28 15:38 - CD APP-王宏

- % Done changed from 0 to 50

■ Current conclusion

代码已提交，待跑monkey

■ My analysis

Fragment commit需要在onSaveInstanceState之前调用，按照如果存在之后调用的情况，

可以采用commitAllowingStateLoss 替换 commit。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Gallery2/+/184828

#7 - 2023-02-28 20:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

184828 general/platform/packages/apps/Galler

y2

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:Gallery2:Fix crash because of fragmentTC-RID: 1201-0300701IssueID: TS-R-BUG-116563Change-Id: I435ed16b9e6bd6d7431cf90b49004baecdd133cc

#8 - 2023-02-28 20:09 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD Test赵飞

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-01
- Root cause set to AOSP问题

#9 - 2023-03-02 10:09 - CD Test赵飞

3/1号DB版本未复现此问题

Monkey问题，继续跟踪2个版本

#10 - 2023-03-07 13:39 - CD TPM-王祥林

- Target version changed from VX1_MCE_FSE_0082_20230314 to VC1_FSE_0082_20230314

#11 - 2023-03-07 18:29 - CD Test赵飞

3/4 DB版本未复现此问题

Monkey问题，继续跟踪1个版本

#12 - 2023-03-13 14:19 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

#13 - 2023-03-13 14:19 - CD TEST-方永红

3.8号DB未复现

#14 - 2023-03-13 14:20 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Tlog.zip 19.4 MB 2023-02-27 CD Test赵飞
